Index: src/SynTree/Statement.cc
===================================================================
--- src/SynTree/Statement.cc	(revision 3be261a4b1fe3132daabf9034cea2a4625ecdc13)
+++ src/SynTree/Statement.cc	(revision bb8ea3011a8148746d8e28699f24b68eaa57a951)
@@ -10,5 +10,5 @@
 // Created On       : Mon May 18 07:44:20 2015
 // Last Modified By : Rob Schluntz
-// Last Modified On : Wed Dec 09 14:09:34 2015
+// Last Modified On : Thu May 12 13:33:18 2016
 // Update Count     : 54
 //
@@ -43,5 +43,5 @@
 
 void ExprStmt::print( std::ostream &os, int indent ) const {
-	os << string( indent, ' ' ) << "Expression Statement:" << endl;
+	os << "Expression Statement:" << endl << std::string( indent + 2, ' ' );
 	expr->print( os, indent + 2 );
 }
@@ -110,6 +110,9 @@
 
 void ReturnStmt::print( std::ostream &os, int indent ) const {
-	os << std::string( indent, ' ' ) << string ( isThrow? "Throw":"Return" ) << " Statement, returning: ";
-	if ( expr != 0 ) expr->print( os );
+	os << string ( isThrow? "Throw":"Return" ) << " Statement, returning: ";
+	if ( expr != 0 ) {
+		os << endl << string( indent+2, ' ' );
+		expr->print( os, indent + 2 );
+	}
 	os << endl;
 }
@@ -124,12 +127,16 @@
 
 void IfStmt::print( std::ostream &os, int indent ) const {
-	os << string( indent, ' ' ) << "If on condition: " << endl ;
+	os << "If on condition: " << endl ;
+	os << string( indent+4, ' ' );
 	condition->print( os, indent + 4 );
 
-	os << string( indent, ' ' ) << ".... and branches: " << endl;
-
+	os << string( indent+2, ' ' ) << "... then: " << endl;
+
+	os << string( indent+4, ' ' );
 	thenPart->print( os, indent + 4 );
 
 	if ( elsePart != 0 ) {
+		os << string( indent+2, ' ' ) << "... else: " << endl;
+		os << string( indent+4, ' ' );
 		elsePart->print( os, indent + 4 );
 	} // if
@@ -153,5 +160,5 @@
 
 void SwitchStmt::print( std::ostream &os, int indent ) const {
-	os << string( indent, ' ' ) << "Switch on condition: ";
+	os << "Switch on condition: ";
 	condition->print( os );
 	os << endl;
@@ -218,5 +225,5 @@
 
 void ChooseStmt::print( std::ostream &os, int indent ) const {
-	os << string( indent, ' ' ) << "Choose on condition: ";
+	os << "Choose on condition: ";
 	condition->print( os );
 	os << endl;
@@ -247,5 +254,5 @@
 
 void WhileStmt::print( std::ostream &os, int indent ) const {
-	os << string( indent, ' ' ) << "While on condition: " << endl ;
+	os << "While on condition: " << endl ;
 	condition->print( os, indent + 4 );
 
@@ -273,5 +280,5 @@
 
 void ForStmt::print( std::ostream &os, int indent ) const {
-	os << string( indent, ' ' ) << "Labels: {";
+	os << "Labels: {";
 	for ( std::list<Label>::const_iterator it = get_labels().begin(); it != get_labels().end(); ++it) {
 		os << *it << ",";
@@ -283,18 +290,25 @@
 	os << string( indent + 2, ' ' ) << "initialization: \n";
 	for ( std::list<Statement *>::const_iterator it = initialization.begin(); it != initialization.end(); ++it ) {
+		os << string( indent + 4, ' ' );
 		(*it)->print( os, indent + 4 );
 	}
 
 	os << "\n" << string( indent + 2, ' ' ) << "condition: \n";
-	if ( condition != 0 )
+	if ( condition != 0 ) {
+		os << string( indent + 4, ' ' );
 		condition->print( os, indent + 4 );
+	}
 
 	os << "\n" << string( indent + 2, ' ' ) << "increment: \n";
-	if ( increment != 0 )
+	if ( increment != 0 ) {
+		os << string( indent + 4, ' ' );
 		increment->print( os, indent + 4 );
+	}
 
 	os << "\n" << string( indent + 2, ' ' ) << "statement block: \n";
-	if ( body != 0 )
+	if ( body != 0 ) {
+		os << string( indent + 4, ' ' );
 		body->print( os, indent + 4 );
+	}
 
 	os << endl;
@@ -314,5 +328,5 @@
 
 void TryStmt::print( std::ostream &os, int indent ) const {
-	os << string( indent, ' ' ) << "Try Statement" << endl;
+	os << "Try Statement" << endl;
 	os << string( indent + 2, ' ' ) << "with block: " << endl;
 	block->print( os, indent + 4 );
@@ -378,5 +392,5 @@
 
 void NullStmt::print( std::ostream &os, int indent ) const {
-	os << string( indent, ' ' ) << "Null Statement" << endl ;
+	os << "Null Statement" << endl ;
 }
 
